diff --git a/rpc/xdr/src/xdr-generic.c b/rpc/xdr/src/xdr-generic.c
index 5f616424069..bdc8c3a6ea6 100644
--- a/rpc/xdr/src/xdr-generic.c
+++ b/rpc/xdr/src/xdr-generic.c
@@ -59,7 +59,7 @@ ssize_t
 xdr_to_generic_payload(struct iovec inmsg, void *args, xdrproc_t proc,
                        struct iovec *pendingpayload)
 {
-    ssize_t ret;
+    ssize_t ret = 0;
 #ifdef BUILD_GNFS
     XDR xdr;
 
